Instance_Othrongroth = class(Window);

function Instance_Othrongroth: GetName()
	return "Instance: Othrongroth";
end

function Instance_Othrongroth: IsRunning()
	return (self.window ~= nil);
end

function Instance_Othrongroth: Start()
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Instância: Othrongroth"); --título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end

	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true)

	-- STARTS WITH -MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");

	-- adiciona (append) STARTS WITH - MAP REF
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n-Tom Bombadil-32,6S, 57,3W - Tom Bombadil's House - Old Forest");

	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");

	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n'Uma aliança profana é forjada nas profundezas de Othrongroth, o Grande Túmulo, um pacto sinistro que pode significar a ruína de Eriador....'");

	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");

	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nTom Bombadil trouxe você para o túmulo chamado Othrongroth. Um servo dos Nazgûl, Andraste, disse que o Senhor dos Nazgûl seria encontrado aqui.");

	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");

	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\n1- Vá para a entrada do Great Barrow , Othrongroth\nA entrada para Othrongroth fica próxima ao oeste.\n\nTom Bombadil levou você em segurança até a entrada de Othrongroth, o Grande Túmulo, nas Colinas dos Túmulos. Sua busca pelo Rei Bruxo o levará ao túmulo.\n\nTom Bombadil diz: 'Venham agora, meus queridos!'\nTom Bombadil diz: 'Entre essas pedras está o que você procura, o Grande Túmulo das Colinas'.\nTom Bombadil diz: 'Cuidado agora, ou lá seus ossos ficarão, até que os inumanos o façam dançar!'\nO Rei Bruxo diz: 'Venha, Skorgrím.'\n\n2- Siga o Rei Bruxo\nO Rei Bruxo e o anão Skorgrím entraram em Othrongroth. Você deve segui-los até o carrinho de mão e procurá-los lá.\n\nDourhand Traitor diz: 'Eu lhe digo que ouvi alguma coisa!'\nDourhand Firebrand diz: 'Quem vai lá!'\nDourhand Firebrand diz: 'Vamos rapazes, vamos dividi-los em dois!'\nDourhand Firebrand diz: 'Eles não estão passando por nós!'\nDourhand Rebel diz: 'Você não vai me derrubar!'\nO capitão Dourhand diz: 'Você ouviu Lord Skorgrím!'\nO capitão Dourhand diz: 'Ninguém passa por nós!'\nO capitão Dourhand diz: 'Mate-os! Para os Dourhands!'\nO capitão Dourhand diz: 'Segure a linha! Segure a linha!'\nO capitão Dourhand diz: 'Não mostre fraqueza!'\nO capitão Dourhand diz: 'Tudo bem! Você matou meus homens, mas não vai me matar!'\nO capitão Dourhand diz: 'Eu... eu não posso ser derrotado!'\nO capitão Dourhand diz: 'Fiquem para trás!'\nCapitão Dourhand diz: 'Skorgrím prometeu... ele disse que não poderíamos ser derrotados...'\nO capitão Dourhand diz: 'O que... o que foi esse barulho?'\nDourhand Capitão diz: 'Augh!'\nDeadly Barrow-wight diz: 'Os mortos não toleram intrusos...'\nO Rei Bruxo diz: 'Venha, Ivar nos espera.'\nO Rei Bruxo diz: 'Ivar, precisaremos de sua proteção no leste.'\nO Rei Bruxo diz: 'Devemos combater a perda de Amdir.'\nO Rei Bruxo diz: 'Skorgrím, seus anões devem concentrar seus esforços no norte e no leste.'\nO Rei Bruxo diz: 'Meu campeão ainda não terminou sua tarefa.'\nO Rei Bruxo diz: 'Uma grande recompensa espera por você, se ambos forem bem-sucedidos.'\nO Rei Bruxo diz: 'O Anel se move para o leste, para Imladris, sem dúvida.'\nO Rei Bruxo diz: 'Uma vez que suas tarefas estejam completas, Mordirith espera por vocês dois no norte.'\nO Rei Bruxo diz: 'Não dê atenção ao tolo duas vezes, Saruman.'\nO Rei Bruxo diz: 'Nossos planos no sul estão se concretizando.'\nO Rei Bruxo diz: 'Tolos! Não suportarei mais sua presença!'\nO Rei Bruxo diz: 'Você perseguiu meus passos por muito tempo!'\nO Rei Bruxo diz: 'E agora os Mortos o levarão.'\n\n3- Perseguir o Rei Bruxo\nSeu caminho através do Grande Túmulo levou você ao Cavaleiro Negro, que notou sua presença e chamou os Mortos para atacá-lo. Derrote essas criaturas e continue por Othrongroth!\n\nDeadly Barrow-wight diz: 'Como o grande rei ordena...'\nDeadly Barrow-wight diz: 'Somente os Mortos... passarão...'\nDeadly Barrow-wight diz: 'Mate-os...'\nWatcher-wight diz: 'Levante-se... levante-se, meus irmãos...'\n\n4- Fale com o Wight-lord\nDerrote o Wight-lord\nSua perseguição ao Rei Bruxo o levou a uma sala com uma criatura sentada em um grande trono. A criatura lhe deu as boas-vindas e disse que se você procurasse uma audiência, você poderia se aproximar.\n\nA Voz Distante diz: 'Tu podes avançar...'\nSambrog diz: 'Saudações, tolo.'\nSambrog diz: 'Se você procura uma audiência, você pode se aproximar.'\nSambrog: 'Bem conhecido! Meu Mestre manda as saudações. Eu te concedo a benção de uma audiência antes de te matar. Tu parecias desejoso de certo conhecimento, então eu te darei. Pois os Mortos não falam!' O wight gargalha.\n'Meu Mestre busca um grande poder para o Lorde das Trevas, mas o Lorde das Trevas tem mais projetos do que isso. O Anão Pálido deve ir para o norte e reunir um exército em nome de Angmar e do Rei Bruxo!\n- O esquelético, ele próprio um grande poder e a quem devo esta forma, vai para o leste. Lá, em Agamaur, ele despertará um Poder que jaz adormecido nas águas. Com ela sob seu comando, os céus se transformarão em sangue e todos se desesperarão!\n'Agora sua audiência chega ao fim. Teus mortos te esperam.'\n\nSambrog diz: 'Levantem-se, meus guerreiros!'\nSambrog diz: 'Você não pode me derrotar!'\nA Voz Distante diz: 'Ei dol! Feliz dol!'\nSambrog diz: 'O quê? Não pode ser!'\nTom Bombadil diz: 'O que você está pensando? Homens mortos não deveriam estar acordando!'\nSambrg morreu.\nTom Bombadil diz: 'Desapareça na luz do sol, deixe seus túmulos vazios!'\n\n5- Fale com Tom Bombadil\nGraças à chegada de Tom Bombadil, o Wight-lord foi derrotado! Tom espera para falar com você.\n\nTom Bombadil: 'Valeu a pena? Você aprendeu sua lição? Deixe os Mortos dormirem seu sono sem sonhos e caminhe sobre a grama verde sob o sol!'\nTom Bombadil diz: 'Venham agora, meus amigos alegres, o fogo quente está esperando...'\n");

	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText("\nApós entrar na instância fale com Tom Bombadil. Então vá para o Great Barrow. Depois de entrar na zona, siga o caminho em espiral para baixo. Conforme você desce, você enfrentará em sua maioria mobs de elite. Apenas tome cuidado e você deve se sair bem. Lute contra mobs, então descanse e continue. Quando você luta contra os chefes, eles geram mobs extras que não são de elite. Quando você chegar ao último mob, Tom Bombadil aparecerá e lhe dará o golpe final (você só precisa diminuir a vida do chefe até a metade). Fale com Tom para sair da instância. Você reaparecerá dentro da casa de Tom. Você tem que correr de volta para fora e falar com Tom para terminar a missão e coletar sua recompensa.\nSe todos morrerem na instância, deixe pelo menos um companheiro na instância enquanto o resto recua (o acampamento de Tom ou Adso) e corra de volta para Tom; uma vez que pelo menos um membro da sua fellowship tenha retornado para a instância, o resto pode reviver. Isso mantém a instância aberta e evita ter que matar novamente os mobs. Você também pode voltar à zona através de Bree, indo para a Piscina Refletora e retornar ao seu grupo.\n\nThe Great Barrow é um marco em Southern Barrow-downs , em Bree-land . [33,8S, 55,8W]\n\nEsta tumba, também conhecida como Othrongroth , é uma masmorra notável localizada no canto noroeste das Colinas do Sul.\n\nUm Camp Site Fire é encontrado do lado de fora da entrada, onde também um pequeno grupo de elfos se reuniu, sentindo que algo terrível está corrompendo esta tumba. De fato: recentemente, o Rei Bruxo de Angmar esteve aqui, e ele ressuscitou muitos espíritos malignos que agora ameaçam a relativa paz de Bree-land.\n\nO Great Barrow é uma masmorra instanciada. Seu nome é hoje um nome coletivo para três World Instances escaláveis , mas aqui também algumas missões épicas estão ocorrendo. De um modo geral, este local destina-se a Fellowships nos níveis 20 a 24 e acima. Para notas históricas, veja as observações abaixo.\n\nNo extremo sul das Colinas dos Túmulos fica o Grande Túmulo, ou Othrongroth, um dos mais antigos e maiores dos montes Edain . Por muitos anos os Dúnedain de Cardolan a protegeram, até que uma grande doença surgiu do sul. Essa praga devastou Cardolan, deixando os antigos túmulos vulneráveis aos horrores do Inimigo.\nO Rei Bruxo de Angmar enviou espíritos malignos de Angmar e Rhudaur para habitar os Túmulos e transformá-los em um lugar de grande terror. Tomando posse dos restos apodrecidos dos mortos, os espíritos tornaram-se criaturas de túmulos, o chefe dos quais se senta em senhorio em Othrongroth sob o comando do Rei Bruxo. Enquanto as Sombras no Leste e no Norte se agitam mais uma vez, as criaturas do Grande Túmulo surgem e espreitam os Túmulos a serviço de seu mestre.");

	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);
	self.label:AppendText("\n\nCréditos e Autoria: ");

	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.label:AppendText(" Redigido pelo Dastan e patrocinado pelo Hallarthil");

	--Cria uma barra de rolagem vertical para o label
	v_scrollbar=Turbine.UI.Lotro.ScrollBar();
	v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight());
	v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.label:SetVerticalScrollBar(v_scrollbar);

	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();

		self.label:SetSize(window_width-30, window_height-70);
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height); 
	end

	Window.Start(self);
end

function Instance_Othrongroth:Stop()
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end
RegisterWindow(Instance_Othrongroth()); 